Interface ThymeleafEndpointBuilderFactory.ThymeleafBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
ThymeleafEndpointBuilderFactory
public static interface ThymeleafEndpointBuilderFactory.ThymeleafBuilders
-
Method Summary
Modifier and TypeMethodDescriptionThymeleaf (camel-thymeleaf) Transform messages using a Thymeleaf template.Thymeleaf (camel-thymeleaf) Transform messages using a Thymeleaf template.Thymeleaf (camel-thymeleaf) Transform messages using a Thymeleaf template.
-
Method Details
-
thymeleaf
Thymeleaf (camel-thymeleaf) Transform messages using a Thymeleaf template. Category: transformation Since: 4.1 Maven coordinates: org.apache.camel:camel-thymeleaf- Returns:
- the dsl builder for the headers' name.
-
thymeleaf
Thymeleaf (camel-thymeleaf) Transform messages using a Thymeleaf template. Category: transformation Since: 4.1 Maven coordinates: org.apache.camel:camel-thymeleaf Syntax:thymeleaf:resourceUriPath parameter: resourceUri (required) Path to the resource. You can prefix with: classpath, file, http, ref, or bean. classpath, file and http loads the resource using these protocols (classpath is default). ref will lookup the resource in the registry. bean will call a method on a bean to be used as the resource. For bean you can specify the method name after dot, eg bean:myBean.myMethod. This option can also be loaded from an existing file, by prefixing with file: or classpath: followed by the location of the file.- Parameters:
path- resourceUri- Returns:
- the dsl builder
-
thymeleaf
default ThymeleafEndpointBuilderFactory.ThymeleafEndpointBuilder thymeleaf(String componentName, String path) Thymeleaf (camel-thymeleaf) Transform messages using a Thymeleaf template. Category: transformation Since: 4.1 Maven coordinates: org.apache.camel:camel-thymeleaf Syntax:thymeleaf:resourceUriPath parameter: resourceUri (required) Path to the resource. You can prefix with: classpath, file, http, ref, or bean. classpath, file and http loads the resource using these protocols (classpath is default). ref will lookup the resource in the registry. bean will call a method on a bean to be used as the resource. For bean you can specify the method name after dot, eg bean:myBean.myMethod. This option can also be loaded from an existing file, by prefixing with file: or classpath: followed by the location of the file.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- resourceUri- Returns:
- the dsl builder
-